package storage

import "time"

type Diag struct {
	ID                  string         `json:"id" bson:"_id"`
	Name 	            string         `json:"name"`
	Namespace           string         `json:"namespace"`
	Json_schema         string         `json:"json_schema"`
	Ui_schema           string         `json:"ui_schema"`
	Data                map[string]any `json:"data"`
	Deleted             bool           `json:"deleted"`
	Diagdate            time.Time      `json:"diagdate"`
	Owners 				string    	   `json:"owners"`
}
